For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get available payment methods for an order

Get available payment methods for an order

Required permissions: SALES_ORDER,RETURN_ORDER

Deprecated
get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/payment-methods HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "allowCashback": true,
      "allowPrepayment": true,
      "name": "text",
      "description": "text",
      "receiptText": "text",
      "parameters": [
        {
          "name": "text",
          "description": "text",
          "required": true,
          "key": "text",
          "keyType": "TEXT",
          "regex": "text"
        }
      ],
      "paymentCode": "CASH",
      "storePaymentMethodUid": "text",
      "requirements": {
        "requireCustomer": true,
        "requireCustomerMobile": true,
        "requireCustomerEmail": true,
        "requireCustomerType": "ANY",
        "requireCustomerContact": true,
        "requireExclusiveUse": true,
        "requireRefundToSameMethod": true
      },
      "settlementCode": "text",
      "visibility": "FEATURED",
      "position": 1,
      "minimumPaymentAmount": 1,
      "amountInput": "NONE",
      "useRounding": true
    }
  ]
}

Last updated

Was this helpful?